------------------------------------------------------
-- localization.lua
-- for Hunter's Helper
-- English strings by default; localizations override with their own.
------------------------------------------------------

-- We treat all five resistances as the same spell, because they're identical in all ways that we care about.
ARCANE_RESIST = "Arcane Resistance";
FIRE_RESIST = "Fire Resistance";
FROST_RESIST = "Frost Resistance";
NATURE_RESIST = "Nature Resistance";
SHADOW_RESIST = "Shadow Resistance";
-- So, our reverse mapping represents any of the five resistances.
ALL_RESISTS = "Arcane/Fire/Frost/Nature/Shadow Resistance";

-- Other spell names
STAMINA = "Great Stamina";
ARMOR = "Natural Armor";
BITE = "Bite";
CLAW = "Claw";
COWER = "Cower";
DASH = "Dash";
DIVE = "Dive";
GROWL = "Growl";
HOWL = "Furious Howl";
LIGHTNING = "Lightning Breath";
POISON = "Scorpid Poison";
PROWL = "Prowl";
SCREECH = "Screech";

-- Beast family names
BAT = "Bat";
BEAR = "Bear";
BOAR = "Boar";
CARRION_BIRD = "Carrion Bird";
CAT = "Cat";
CRAB = "Crab";
CROCOLISK = "Crocolisk";
GORILLA = "Gorilla";
HYENA = "Hyena";
OWL = "Owl";
RAPTOR = "Raptor";
SCORPID = "Scorpid";
SPIDER = "Spider";
TALLSTRIDER = "Tallstrider";
TURTLE = "Turtle";
WIND_SERPENT = "Wind Serpent";
WOLF = "Wolf";

-- Other strings used in tables
ALL_FAMILIES = "all beast families";
PET_TRAINER = "Pet Trainers (found in major cities and some towns)";

if ( GetLocale() == "deDE" ) then

	-- We treat all five resistances as the same spell, because they're identical in all ways that we care about.
	ARCANE_RESIST = "Arkanwiderstand";
	FIRE_RESIST = "Feuerwiderstand";
	FROST_RESIST = "Frostwiderstand";
	NATURE_RESIST = "Naturwiderstand";
	SHADOW_RESIST = "Schattenwiderstand";
	-- So, our reverse mapping represents any of the five resistances.
	ALL_RESISTS = "Arkan/Feuer/Frost/Natur/Schatten Widerstand";

	-- Other spell names
	STAMINA = "Große Ausdauer";
	ARMOR = "Natürliche Rüstung";
	BITE = "Beißen";
	CLAW = "Klaue";
	COWER = "Ducken";
	DASH = "Spurt";
	DIVE = "Sturzflug";
	GROWL = "Knurren";
	HOWL = "Wutgeheul";
	LIGHTNING = "Blitzschlagatem";
	POISON = "Skorpidgift";
	PROWL = "Schleichen";
	SCREECH = "Schrei";

end

if ( GetLocale() == "frFR" ) then

	-- Other spell names
	STAMINA = "Endurance supérieure";
	BITE = "Morsure";
	CLAW = "Griffe";
	COWER = "Tremblements";
	GROWL = "Grondement";

end

if ( GetLocale() == "koKR" ) then


end
